drm/panel: panel-himax-hx83102: support for csot-pna957qt1-1 MIPI-DSI panel
[drm/drm-misc.git] / tools / testing / selftests / powerpc / eeh / eeh-vf-aware.sh
blob874c11953bb6c02bb696831854c163b5b29c1561
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0-only
4 . ./eeh-functions.sh
6 eeh_test_prep # NB: may exit
8 vf_list="$(eeh_enable_vfs)";
9 if $? != 0 ; then
10 log "No usable VFs found. Skipping EEH unaware VF test"
11 exit $KSELFTESTS_SKIP;
14 log "Enabled VFs: $vf_list"
16 tested=0
17 passed=0
18 for vf in $vf_list ; do
19 log "Testing $vf"
21 if ! eeh_can_recover $vf ; then
22 log "Driver for $vf doesn't support error recovery, skipping"
23 continue;
26 tested="$((tested + 1))"
28 log "Breaking $vf..."
29 if ! eeh_one_dev $vf ; then
30 log "$vf failed to recover"
31 continue;
34 passed="$((passed + 1))"
35 done
37 eeh_disable_vfs
39 if [ "$tested" == 0 ] ; then
40 echo "No VFs with EEH aware drivers found, skipping"
41 exit $KSELFTESTS_SKIP
44 test "$failed" != 0
45 exit $?;